Last modified: 2014-01-03 16:19:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16049 - Make CodeReview stylesheet URL user editable
Make CodeReview stylesheet URL user editable
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CodeReview (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: accessibility
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2008-10-20 12:17 UTC by Danny B.
Modified: 2014-01-03 16:19 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Danny B. 2008-10-20 12:17:10 UTC
Add editable stylesheet (MediaWiki:CodeReview.css) instead of linking hardcoded one like eg. GeSHi does.
Comment 1 Aaron Schulz 2008-10-23 10:00:54 UTC
MediaWiki:common.css and the skin/user css files are not OK?
Comment 2 Danny B. 2008-10-23 12:01:35 UTC
(In reply to comment #1)
> MediaWiki:common.css and the skin/user css files are not OK?

No. Why should I send two complete stylesheets to the user when I want completely other design? Worthless and unnecessary mess and load.
Comment 3 Aaron Schulz 2008-10-23 12:08:52 UTC
Renamed bug summary.
Comment 4 Huji 2008-10-28 14:19:52 UTC
(In reply to comment #1)
> MediaWiki:common.css and the skin/user css files are not OK?
> 
No; we separate style sheet files just for this reason: style sheet belonging to an extension should be separate from that for the MediaWiki proper.

(In reply to comment #0)
> Add editable stylesheet (MediaWiki:CodeReview.css) instead of linking hardcoded
> one like eg. GeSHi does.
> 
I don't think it should be used "instead of" a hardcoded one. The original stylesheet can still be hardcoded, while a custom one in MediaWiki namespace can overwrite its definitions.
Comment 5 Aaron Schulz 2008-11-27 07:54:32 UTC
Done in r43991
Comment 6 Brion Vibber 2008-12-11 19:04:11 UTC
This doesn't seem to do what was requested in the bug -- the OP  asked for an on-wiki editable CSS page, like the GeSHI syntax highlighting extension has.

This is providing a LocalSettings.php-level override for the location of the extensions directory where the CSS and JS files are to be loaded... which shouldn't be needed, and if it were it should be a general system for all extensions to be able to use (eg to pull extension styles from a static server, the way we can override the wiki's core style path)

Reverted in r44459.
Comment 7 Jack Phoenix 2013-07-26 00:11:33 UTC
Finally fixed in Gerrit change #76045.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links